clc; clear;
N=1e6;       % Number of simulations
filename='T235FY01.DIS';

[his,prob,d_val,type]=crea_his(filename);

A=crea_sa2(his,rand(1,N),d_val,type);

disp(sprintf('\n'))
disp('***********************************************************')
disp('*          Generation of (pseudo)random variable          *')
disp('*      with a nonparametric probability distribution      *')
disp('***********************************************************')
disp(' ')
disp('Inputs:')
disp('-----------------------------------------------------------')
disp(sprintf('Number of simulations N  = %12.1e',N));
disp(sprintf('File name *.dis          = %12s',filename));
disp(' ')
disp('Statistical parameters of the generated random variable:')
disp('-----------------------------------------------------------')
disp(sprintf('Minimal value            = %12.3f',min(A)));
disp(sprintf('Maximal value            = %12.3f',max(A)));
disp(sprintf('Range                    = %12.3f',range(A)));
disp(sprintf('Mean value               = %12.3f',mean(A)));
disp(sprintf('Standard deviation       = %12.3f',std(A)));
disp(sprintf('Scatter                  = %12.3f',var(A)));
disp(sprintf('Coefficient of variation = %11.2f%%',...
    std(A)/mean(A)*100));
disp(sprintf('Skewness                 = %12.3f',skewness(A)));
disp(sprintf('Kurtosis                 = %12.3f',kurtosis(A)));
disp(sprintf('Median                   = %12.3f',median(A)));
disp(sprintf('Quantile 5%%              = %12.3f',quantile(A,0.05)));
disp(sprintf('Percentile 5%%            = %12.3f',prctile(A,5)));
disp(sprintf('Probability(X<235)       = %11.2f%%',sum(A<235)/N*100));
Bins=length(d_val);
figure(1);
hist(A,Bins);
% Changes colour of histogram - red bars with white borderline
set(findobj(gca,'Type','patch'),'FaceColor','r',...
    'EdgeColor','w','FaceColor','b') 
title('Nonparametric probability distribution');
xlabel('Random variable x');
ylabel('Frequency');
%[x_cet,x_hodn]=hist(A,Bins);
clear i;
