function D_RAND=crea_sa2(D_DISTR,RND,D_VALUE,TYPE)
% Create random realization of D_DISTR
%
% INPUT
%============================
% D_DISTR - Distribution Function
% RND - input random number in interval <0;1>
% TYPE - Histogram TYPE: 0 - Discrete, 1 - Piece-wise uniform

% OUTPUT
%============================
% D_RAND - random realisation from D_DISTR using RND

% Author: Pavel PRAKS, pavel.praks@vsb.cz
% Edited by: Petr KONECNY, petr.konecny@vsb.cz 
% VSB - Technical University Ostrava, www.vsb.cz, Czech Republic
% 04-11-2005


D_RAND=[];
LEN_DISTR=length(D_DISTR);
D_STEP = D_VALUE(2) - D_VALUE(1);

%CONTINUOUS HISTOGRAM
%---------------------
if TYPE == 1
 ORDER = 1+ RND *LEN_DISTR; % Order in Distribution Function
 ORDER_F = fix(ORDER); % Rounded order
 % Reminder after rounding utilisied in generation of Piece-Wise histogram (PSEUDOGENERTOR);
 ORDER_R = ORDER - ORDER_F; 
 D_RAND = D_DISTR(ORDER_F) +(ORDER_R - 0.5) * D_STEP;

%DISCRETE HISTOGRAM
%---------------------
else 
 D_RAND=D_DISTR(fix( 1+ RND *LEN_DISTR ) );
end % if TYPE