function [Min, Max, Bins, Total, freq, Type]=read_his(FILENAME)
% Read a histogram from file 
% function [Min, Max, Bins, Total, freq, Type]=read_his(FILENAME)
%
% INPUT
%============================
% FILENAME - Histogram name
%
% OUTPUT
%============================
% Min - Histogram minimal value 
% Max - Histogram maximal value
% Bins - Number of histogram bins
% Total - Total number of samples
% freq - Frequencies of particular bin
% Type - Histogram type: 0 - Discrete, 1 - Piece-wise uniform

% Author: Pavel PRAKS, pavel.praks@vsb.cz
% Edited by: Petr KONECNY, petr.konecny@vsb.cz 
% VSB - Technical University Ostrava, www.vsb.cz, Czech Republic
% 04-11-2011

PERMISSION='r';
fid = fopen(FILENAME,PERMISSION);

Type = 0; % 

while 1
 line = fgets(fid);
 co=findstr('Type=Continuous',line); 
 if length(co)~0; 
  Type=1; 
 else 
  co=findstr('ontinuous',line); 
  if length(co)~0; 
   Type=1; 
   end, 
 end;

 co=findstr('Min',line);
 if length(co)~0; eval(strcat(line,';')); end;

 co=findstr('Max',line);
 if length(co)~0; eval(strcat(line,';')); end;

 co=findstr('Bins',line);
 if length(co)~0; eval(strcat(line,';')); end;

 co=findstr('Total',line);
 if length(co)~0; eval(strcat(line,';')); end;

 if findstr('[Bins]',line); break; end;

end;

freq=[];
while ~feof(fid)
 line = setstr(fgets(fid));
 freq=[freq, sscanf(line,'%d')];
end;

for i = 2 : Bins
  freq(i);
end

fclose(fid);
